EventBase::gotExit
EventBase::loop
EventBase
PHP Manual

# EventBase::gotStop

Checks if the event loop was told to exit

### Description

public void EventBase::gotStop ( void )

Checks if the event loop was told to exit by EventBase::stop .

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE`, event loop was told to stop by EventBase::stop . Otherwise `FALSE`.

### See Also

- EventBase::exit
- EventBase::stop
- EventBase::gotExit